/*
    A basic extension of the java.applet.Applet class
 */

import java.awt.*;
import java.applet.*;

public class ThreadX extends Applet {
	void stop3_Clicked(java.awt.event.ActionEvent event) {
		pa3.stop();
	}

	void start3_Clicked(java.awt.event.ActionEvent event) {
		pa3.resume();
	}

	void stop2_Clicked(java.awt.event.ActionEvent event) {
		pa2.stop();
	}

	void start2_Clicked(java.awt.event.ActionEvent event) {
		pa2.resume();
	}

	void stop1_Clicked(java.awt.event.ActionEvent event) {
		pa1.stop();
	}

	void start1_Clicked(java.awt.event.ActionEvent event) {
		pa1.resume();
	}

	void resetButton_Clicked(java.awt.event.ActionEvent event) {
	    stopButton_Clicked(null);
		pa1.reset();
		pa2.reset();
		pa3.reset();
		pa1.repaint();
		pa2.repaint();
		pa3.repaint();
	}

	void stopButton_Clicked(java.awt.event.ActionEvent event) {
		pa1.stop();
		pa2.stop();
		pa3.stop();
	}

	void startButton_Clicked(java.awt.event.ActionEvent event) {
		pa1.resume();
		pa2.resume();
		pa3.resume();
	}


	public void init() {
		super.init();

		// Take out this line if you don't use symantec.itools.net.RelativeURL
        symantec.itools.lang.Context.setDocumentBase(getDocumentBase());

		//{{INIT_CONTROLS
		setLayout(new BorderLayout(0,0));
		setSize(507,300);
		mainButtonPanel = new java.awt.Panel();
		mainButtonPanel.setLayout(new FlowLayout(FlowLayout.CENTER,20,10));
		mainButtonPanel.setBounds(0,257,507,43);
		add("South", mainButtonPanel);
		startButton = new java.awt.Button();
		startButton.setLabel("All Start");
		startButton.setBounds(155,10,55,23);
		mainButtonPanel.add(startButton);
		stopButton = new java.awt.Button();
		stopButton.setLabel("All Stop");
		stopButton.setBounds(230,10,55,23);
		mainButtonPanel.add(stopButton);
		resetButton = new java.awt.Button();
		resetButton.setLabel("Reset");
		resetButton.setBounds(305,10,47,23);
		mainButtonPanel.add(resetButton);
		animationArea = new java.awt.Panel();
		animationArea.setLayout(new GridLayout(1,3,0,0));
		animationArea.setBounds(0,0,507,257);
		add("Center", animationArea);
		aPanel1 = new java.awt.Panel();
		aPanel1.setLayout(new BorderLayout(0,0));
		aPanel1.setBounds(0,0,507,233);
		aPanel1.setBackground(new Color(16711680));
		animationArea.add(aPanel1);
		ap1 = new java.awt.Panel();
		ap1.setLayout(new FlowLayout(FlowLayout.CENTER,5,25));
		ap1.setBounds(0,0,507,233);
		aPanel1.add("Center", ap1);
		subP1 = new java.awt.Panel();
		subP1.setLayout(new FlowLayout(FlowLayout.CENTER,5,5));
		subP1.setBounds(0,200,253,33);
		aPanel1.add("South", subP1);
		start1 = new java.awt.Button();
		start1.setLabel("Start");
		start1.setBounds(43,5,39,23);
		subP1.add(start1);
		stop1 = new java.awt.Button();
		stop1.setLabel("Stop");
		stop1.setBounds(87,5,39,23);
		subP1.add(stop1);
		aPanel2 = new java.awt.Panel();
		aPanel2.setLayout(new BorderLayout(0,0));
		aPanel2.setBounds(169,0,169,233);
		animationArea.add(aPanel2);
		ap2 = new java.awt.Panel();
		ap2.setLayout(new FlowLayout(FlowLayout.CENTER,5,25));
		ap2.setBounds(0,0,253,233);
		aPanel2.add("Center", ap2);
		subP2 = new java.awt.Panel();
		subP2.setLayout(new FlowLayout(FlowLayout.CENTER,5,5));
		subP2.setBounds(0,200,253,33);
		aPanel2.add("South", subP2);
		start2 = new java.awt.Button();
		start2.setLabel("Start");
		start2.setBounds(43,5,39,23);
		subP2.add(start2);
		stop2 = new java.awt.Button();
		stop2.setLabel("Stop");
		stop2.setBounds(87,5,39,23);
		subP2.add(stop2);
		aPanel3 = new java.awt.Panel();
		aPanel3.setLayout(new BorderLayout(0,0));
		aPanel3.setBounds(338,0,169,233);
		aPanel3.setBackground(new Color(255));
		animationArea.add(aPanel3);
		ap3 = new java.awt.Panel();
		ap3.setLayout(new FlowLayout(FlowLayout.CENTER,5,25));
		ap3.setBounds(0,0,169,233);
		aPanel3.add("Center", ap3);
		subP3 = new java.awt.Panel();
		subP3.setLayout(new FlowLayout(FlowLayout.CENTER,5,5));
		subP3.setBounds(0,200,169,33);
		aPanel3.add("South", subP3);
		start3 = new java.awt.Button();
		start3.setLabel("Start");
		start3.setBounds(43,5,39,23);
		subP3.add(start3);
		stop3 = new java.awt.Button();
		stop3.setLabel("Stop");
		stop3.setBounds(87,5,39,23);
		subP3.add(stop3);
		//}}

		ap1.add(pa1);
		ap2.add(pa2);
		ap3.add(pa3);
	
		//{{REGISTER_LISTENERS
		SymAction lSymAction = new SymAction();
		startButton.addActionListener(lSymAction);
		stopButton.addActionListener(lSymAction);
		resetButton.addActionListener(lSymAction);
		start1.addActionListener(lSymAction);
		stop1.addActionListener(lSymAction);
		start2.addActionListener(lSymAction);
		stop2.addActionListener(lSymAction);
		start3.addActionListener(lSymAction);
		stop3.addActionListener(lSymAction);
		//}}
	}
 //-------------------------------------------------------------
 // This file has been migrated from the 1.0 to 1.1 event model.
 // This method is not used with the new 1.1 event model. You can 
 // move any code you need to keep, then remove this method.
 //-------------------------------------------------------------
 // 
 // 	public boolean handleEvent(Event event) {
 // 		if (event.target == startButton && event.id == Event.ACTION_EVENT) {
 // 			startButton_Clicked(event);
 // 		}
 // 		if (event.target == stopButton && event.id == Event.ACTION_EVENT) {
 // 			stopButton_Clicked(event);
 // 		}
 // 		if (event.target == resetButton && event.id == Event.ACTION_EVENT) {
 // 			resetButton_Clicked(event);
 // 		}
 // 		if (event.target == start1 && event.id == Event.ACTION_EVENT) {
 // 			start1_Clicked(event);
 // 		}
 // 		if (event.target == stop1 && event.id == Event.ACTION_EVENT) {
 // 			stop1_Clicked(event);
 // 		}
 // 		if (event.target == start2 && event.id == Event.ACTION_EVENT) {
 // 			start2_Clicked(event);
 // 		}
 // 		if (event.target == stop2 && event.id == Event.ACTION_EVENT) {
 // 			stop2_Clicked(event);
 // 		}
 // 		if (event.target == start3 && event.id == Event.ACTION_EVENT) {
 // 			start3_Clicked(event);
 // 		}
 // 		if (event.target == stop3 && event.id == Event.ACTION_EVENT) {
 // 			stop3_Clicked(event);
 // 		}
 // 		return super.handleEvent(event);
 // 	}
 //-------------------------------------------------------------

	//{{DECLARE_CONTROLS
	java.awt.Panel mainButtonPanel;
	java.awt.Button startButton;
	java.awt.Button stopButton;
	java.awt.Button resetButton;
	java.awt.Panel animationArea;
	java.awt.Panel aPanel1;
	java.awt.Panel ap1;
	java.awt.Panel subP1;
	java.awt.Button start1;
	java.awt.Button stop1;
	java.awt.Panel aPanel2;
	java.awt.Panel ap2;
	java.awt.Panel subP2;
	java.awt.Button start2;
	java.awt.Button stop2;
	java.awt.Panel aPanel3;
	java.awt.Panel ap3;
	java.awt.Panel subP3;
	java.awt.Button start3;
	java.awt.Button stop3;
	//}}

	PolygonAnimation pa1 = new PolygonAnimation(100);
	PolygonAnimation pa2 = new PolygonAnimation(120);
	PolygonAnimation pa3 = new PolygonAnimation(150);

	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == startButton)
				startButton_Clicked(event);
			else if (object == stopButton)
				stopButton_Clicked(event);
			else if (object == resetButton)
				resetButton_Clicked(event);
			else if (object == start1)
				start1_Clicked(event);
			else if (object == stop1)
				stop1_Clicked(event);
			else if (object == start2)
				start2_Clicked(event);
			else if (object == stop2)
				stop2_Clicked(event);
			else if (object == start3)
				start3_Clicked(event);
			else if (object == stop3)
				stop3_Clicked(event);
		}
	}
}
